#!/usr/bin/bash
##
# H20Dragon
##

##
# Execute test on Chrome locally.
##
run_chrome()
{
    CMD=$1
    ruby $SCOUTUI_BIN --config ./test.config.json \
                      --browser chrome \
                      --host "http://www.elvis-presley.com" \
                      --viewport 800x600 \
                      --dut ${CMD} --debug
}

##
# Execute test on Firefox locally.
##
run_firefox()
{
    CMD=$1
    ruby $SCOUTUI_BIN --config ./test.config.json \
                      --browser firefox \
                      --host "http://www.elvis-presley.com" \
                      --viewport 800x600 \
                      --dut ${CMD} --debug
}

##
# Execute test on phantom (GhostDriver)
##
run_headless()
{
    CMD=$1
    ruby $SCOUTUI_BIN --config ./test.config.json \
                      --browser phantomjs \
                      --host "http://www.elvis-presley.com" \
                      --viewport 800x600 \
                      --dut ${CMD} --debug
}


##
# Run tests on ghostdriver (phantom) as defined in
# its capabilities file.
##
run_headless2()
{
    CMD=$1
    ruby $SCOUTUI_BIN --config ./test.config.json \
                      --capabilities ./phantom.chrome.json \
                      --host "http://www.elvis-presley.com" \
                      --viewport 800x600 \
                      --dut ${CMD} --debug
}


##
# Run a test on ghostdriver (phantom) defined by
# capabilities files, while taking screen shots.
##
run_screenshots_phantom()
{
    CMD=$1
    ruby $SCOUTUI_BIN --config ./test.config.json \
                      --capabilities ./phantom.chrome.json \
                      --screenshots:run true \
                        --screenshots:dir /tmp/phantom \
                      --host "http://www.elvis-presley.com" \
                      --viewport 800x600 \
                      --dut ${CMD} --debug
}



run_chrome ./simple.yml
run_firefox ./simple.yml

#run_headless  ./simple.yml
#run_headless2 ./simple.yml
#run_screenshots_phantom ./simple.yml

